Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.geom
Interface Segment

All Superinterfaces:
  Cloneable

All Known Implementing Classes:
  AbstractSegment, Cubic, Linear, Quadradic

    public interface Segment

extends Cloneable

An interface that path segments must implement.

Nested Class Summary
`static class` | `Segment.SplitResults`

Method Summary
`Point2D.Double` | `eval(double t)`
`Point2D.Double` | `evalDt(double t)`
`Rectangle2D` | `getBounds2D()`
`double` | `getLength()`
`double` | `getLength(double maxErr)`
`Segment` | `getSegment(double t0, double t1)`
`double` | `maxX()`
`double` | `maxY()`
`double` | `minX()`
`double` | `minY()`
`Segment.SplitResults` | `split(double y)`
`Segment` | `splitAfter(double t)`
`Segment` | `splitBefore(double t)`
`void` | `subdivide(double t, Segment s0, Segment s1)`
`void` | `subdivide(Segment s0, Segment s1)`

Method Detail

### minX

    double minX()

### maxX

    double maxX()

### minY

    double minY()

### maxY

    double maxY()

### getBounds2D

    Rectangle2D getBounds2D()

### evalDt

    Point2D.Double evalDt(double t)

### eval

    Point2D.Double eval(double t)

### getSegment

    Segment getSegment(double t0,
                       double t1)

### splitBefore

    Segment splitBefore(double t)

### splitAfter

    Segment splitAfter(double t)

### subdivide

    void subdivide(Segment s0,
                   Segment s1)

### subdivide

    void subdivide(double t,
                   Segment s0,
                   Segment s1)

### getLength

    double getLength()

### getLength

    double getLength(double maxErr)

### split

    Segment.SplitResults split(double y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.